## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate protoc

Name:           rust-%{crate}
Version:        2.25.2
Release:        %autorelease
Summary:        Protobuf protoc command as API

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/protoc
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Protobuf protoc command as API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       /usr/bin/protoc

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE.txt
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo '/usr/bin/protoc'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.25.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Fabio Valentini <decathorpe@gmail.com> 2.25.2-1
- Update to version 2.25.2; Fixes RHBZ#2016853

* Sat Nov 06 2021 Adrian Reber <adrian@lisas.de> 2.25.1-3
- Rebuilt for protobuf 3.19.0

* Mon Oct 25 2021 Adrian Reber <adrian@lisas.de> 2.25.1-2
- Rebuilt for protobuf 3.18.1

* Sat Aug 21 2021 Fabio Valentini <decathorpe@gmail.com> 2.25.1-1
- Update to version 2.25.1; Fixes RHBZ#1991290

* Sun Aug 08 2021 Fabio Valentini <decathorpe@gmail.com> 2.24.2-1
- Update to version 2.24.2; Fixes RHBZ#1991272

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 2.24.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 20 2021 Fabio Valentini <decathorpe@gmail.com> 2.24.1-1
- Update to version 2.24.1; Fixes RHBZ#1953404

* Wed Mar 24 2021 Fabio Valentini <decathorpe@gmail.com> - 2.22.1-1
- Update to version 2.22.1.

* Sun Feb 07 2021 Fabio Valentini <decathorpe@gmail.com> - 2.22.0-1
- Update to version 2.22.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.20.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 13 14:43:30 CET 2021 Adrian Reber <adrian@lisas.de> - 2.20.0-2
- Rebuilt for protobuf 3.14

* Sun Jan 10 2021 Fabio Valentini <decathorpe@gmail.com> - 2.20.0-1
- Update to version 2.20.0.

* Tue Dec 08 2020 Fabio Valentini <decathorpe@gmail.com> - 2.18.1-1
- Update to version 2.18.1.

* Mon Oct 05 2020 Fabio Valentini <decathorpe@gmail.com> - 2.18.0-1
- Update to version 2.18.0.

* Thu Sep 24 2020 Adrian Reber <adrian@lisas.de> - 2.17.0-2
- Rebuilt for protobuf 3.13

* Wed Sep 16 2020 Fabio Valentini <decathorpe@gmail.com> - 2.17.0-1
- Update to version 2.17.0.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.16.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 2.16.2-1
- Update to 2.16.2

* Sun Jun 14 2020 Adrian Reber <adrian@lisas.de> - 2.14.0-2
- Rebuilt for protobuf 3.12

* Wed Apr 15 2020 Josh Stone <jistone@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Fri Mar 27 07:52:56 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.12.0-1
- Update to 2.12.0

* Mon Mar 02 2020 Josh Stone <jistone@redhat.com> - 2.10.2-1
- Update to 2.10.2

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 17 2020 Josh Stone <jistone@redhat.com> - 2.10.1-1
- Update to 2.10.1

* Tue Jan 07 2020 Josh Stone <jistone@redhat.com> - 2.10.0-1
- Update to 2.10.0

* Mon Nov 11 15:10:36 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.8.1-1
- Initial package

